Package org.flowable.bpmn.model

# Class IOParameter

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.IOParameter

All Implemented Interfaces:
  `HasExtensionAttributes`

public class IOParameter extends BaseElement

Author:
  Tijs Rademakers

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `isTransient`
  `protected String`
  `source`
  `protected String`
  `sourceExpression`
  `protected String`
  `target`
  `protected String`
  `targetExpression`

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IOParameter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IOParameter`
  `clone()`
  `String`
  `getSource()`
  `String`
  `getSourceExpression()`
  `String`
  `getTarget()`
  `String`
  `getTargetExpression()`
  `boolean`
  `isTransient()`
  `void`
  `setSource(String source)`
  `void`
  `setSourceExpression(String sourceExpression)`
  `void`
  `setTarget(String target)`
  `void`
  `setTargetExpression(String targetExpression)`
  `void`
  `setTransient(boolean isTransient)`
  `void`
  `setValues(IOParameter otherElement)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### source

    protected String source

  - ### sourceExpression

    protected String sourceExpression

  - ### target

    protected String target

  - ### targetExpression

    protected String targetExpression

  - ### isTransient

    protected boolean isTransient

- ## Constructor Details

  - ### IOParameter

    public IOParameter()

- ## Method Details

  - ### getSource

    public String getSource()

  - ### setSource

    public void setSource(String source)

  - ### getTarget

    public String getTarget()

  - ### setTarget

    public void setTarget(String target)

  - ### getSourceExpression

    public String getSourceExpression()

  - ### setSourceExpression

    public void setSourceExpression(String sourceExpression)

  - ### getTargetExpression

    public String getTargetExpression()

  - ### setTargetExpression

    public void setTargetExpression(String targetExpression)

  - ### isTransient

    public boolean isTransient()

  - ### setTransient

    public void setTransient(boolean isTransient)

  - ### clone

    public IOParameter clone()
    Specified by:
      `clone` in class `BaseElement`

  - ### setValues

    public void setValues(IOParameter otherElement)